| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Typedefs | Functions
OgreVolumeMeshBuilder.h File Reference
`#include <vector>`
`#include "OgreManualObject.h"`
`#include "OgreVector3.h"`
`#include "OgreAxisAlignedBox.h"`
`#include "OgreVolumePrerequisites.h"`

## Classes
class | Ogre::Volume::MeshBuilder
| Class to build up a mesh with vertices and indices. More...
class | Ogre::Volume::MeshBuilderCallback
| Callback class when the user needs information about the triangles of chunks of a LOD level. More...
struct | Ogre::Volume::Vertex
| Lightweight struct to represent a mesh vertex. More...

## Namespaces
| Ogre
| Ogre::Volume

## Typedefs
typedef std::vector< size_t > | Ogre::Volume::VecIndices
| To hold indices. More...
typedef std::vector< Vertex > | Ogre::Volume::VecVertex
| To hold vertices. More...
typedef struct _OgreVolumeExport Ogre::Volume::Vertex | Ogre::Volume::Vertex
| Lightweight struct to represent a mesh vertex. More...

## Functions
bool _OgreVolumeExport | Ogre::Volume::operator< (const Vertex &a, const Vertex &b)
| A less operator. More...
bool _OgreVolumeExport | Ogre::Volume::operator== (Vertex const &a, Vertex const &b)
| == operator for two vertices. More...